# -*- coding: utf-8 -*-

from django.contrib import admin

from intro.models import IntroCatalogInfo, IntroCategoryInfo, IntroContentInfo, IntroFavoriteInfo, IntroNameInfo


class IntroCategoryInfoAdmin(admin.ModelAdmin):
    list_display = ('category', 'position', 'status', 'created_at', 'updated_at')
    list_filter = ('status', )
    search_fields = ('category', )


class IntroNameInfoAdmin(admin.ModelAdmin):
    list_display = ('name', 'category', 'position', 'status', 'created_at', 'updated_at')
    list_filter = ('category', 'status')
    search_fields = ('name', 'category__category')


class IntroCatalogInfoAdmin(admin.ModelAdmin):
    list_display = ('catalog', 'name', 'position', 'status', 'created_at', 'updated_at')
    list_filter = ('name', 'status')
    search_fields = ('catalog', 'name__name')


class IntroContentInfoAdmin(admin.ModelAdmin):
    list_display = ('title', 'content', 'pdf', 'catalog', 'position', 'status', 'created_at', 'updated_at')
    list_filter = ('catalog', 'status')
    search_fields = ('title', 'content', 'catalog__catalog')


class IntroFavoriteInfoAdmin(admin.ModelAdmin):
    list_display = ('user_id', 'content', 'status', 'created_at', 'updated_at')
    list_filter = ('status', )


admin.site.register(IntroCategoryInfo, IntroCategoryInfoAdmin)
admin.site.register(IntroNameInfo, IntroNameInfoAdmin)
admin.site.register(IntroCatalogInfo, IntroCatalogInfoAdmin)
admin.site.register(IntroContentInfo, IntroContentInfoAdmin)
admin.site.register(IntroFavoriteInfo, IntroFavoriteInfoAdmin)
