# -*- coding: utf-8 -*-

from django.contrib import admin

from support.models import MachineBackInfo, MachineBodyInfo, MachineSupportPrebookInfo


class MachineBodyInfoAdmin(admin.ModelAdmin):
    list_display = ('body', 'status', 'created_at', 'updated_at')
    list_filter = ('status', )


class MachineBackInfoAdmin(admin.ModelAdmin):
    list_display = ('back', 'status', 'created_at', 'updated_at')
    list_filter = ('status', )


class MachineSupportPrebookInfoAdmin(admin.ModelAdmin):
    list_display = ('user_id', 'name', 'sex', 'phone', 'weekday', 'timeslice', 'body', 'back', 'handle_status', 'status', 'created_at', 'updated_at')
    list_filter = ('weekday', 'timeslice', 'body', 'back', 'handle_status', 'status')


admin.site.register(MachineBodyInfo, MachineBodyInfoAdmin)
admin.site.register(MachineBackInfo, MachineBackInfoAdmin)
admin.site.register(MachineSupportPrebookInfo, MachineSupportPrebookInfoAdmin)
